Subject: bug#10059: closed (fixed)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 15 Nov 2011 23:03:02 +0000

Your bug report

#10059: [bug #34102] improve debuggability of interpreted procedures (procedure-minimum-arity)

which was filed against the guile package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
10059: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=10059
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: fixed
From: Andy Wingo <[email-masked]>
To: [email-masked]
Date: Wed, 16 Nov 2011 00:01:24 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Fixed, whenever I can push this to sv (having connectivity issues now).

Andy
-- 
http://wingolog.org/

Subject: Re: [bug #34102] improve debuggability of interpreted procedures (procedure-minimum-arity)
From: Andy Wingo <[email-masked]>
To: Stefan Israelsson Tampe <[email-masked]>, Patrick Bernaud <[email-masked]>, [email-masked]
Date: Tue, 15 Nov 2011 23:45:56 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On Wed 31 Aug 2011 14:29, Stefan Israelsson Tampe <[email-masked]> writes:

> Follow-up Comment #4, bug #34102 (project guile):
>
> With the following applied git-diff (arity.diff) we get:
>
> ~/stis/src/guile/meta/guile --fresh-auto-compile --no-auto-compile -s
> arity.scm
> (2 0 #f)
> (2 0 #t)
> (2 1 #f)
>
> And the bug/feature request is fixed!
>
> /Stefan

Thanks for the patch, Stefan!  I reworked it a bit and applied it.  I
also made it so that procedures defined at the toplevel in `eval' get
their names set appropriately.

I am having trouble with savannah right now, so I am not yet able to
close the bug.

Andy
-- 
http://wingolog.org/